[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Still Support for Apache Subversion 1.6.16?

From: Ryan Schmidt <subversion-2012a_at_ryandesign.com>
Date: Tue, 7 Feb 2012 11:03:24 -0600

On Feb 7, 2012, at 08:07, Edwards, Angela CIV NAVAIR PAXR wrote:

> I'm a technical writer for the US Navy. The Navy's policy is to assign an expiration date to all software applications in its purview. The expiration for Apache Subversion 1.6.16 is March 31, 2012. We can have this date extended if Apache continues to support (mainly in the form of technical support and security patches) this version of Apache Subversion.
>
> Does Apache continue to offer this support for its Apache Subversion 1.6.16?

The Subversion project's policy has been to support the current version (currently 1.7.x) and the previous version (1.6.x), where "support" means if you ask a question about it here on this mailing list, we will try to help you with it (but with no guarantee of success -- it's free software, after all). You can see lifecycle statement here:

http://subversion.apache.org/docs/release-notes/#supported-versions

If this policy continues, as I expect it to, support for Subversion 1.6.x will cease when Subversion 1.8.0 is released. There is no ETA for when that might be.

This does not mean that Subversion 1.6.x will cease to function at that time. It just means that if you ask a question here on this mailing list about that version, we may first ask you to upgrade.
Received on 2012-02-07 18:04:21 CET

This is an archived mail posted to the Subversion Users mailing list.